> This page is for version v1.3 (default).
> For other versions, use one of these documentation indexes:
> - v1.3 (default): https://docs.twelvelabs.io/v1.3/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.twelvelabs.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.twelvelabs.io/_mcp/server.

# Retrieve the status of a video embedding task

GET https://api.twelvelabs.io/v1.3/embed/tasks/{task_id}/status

This endpoint will be deprecated in a future version. Migrate to the [Embed API v2](/v1.3/api-reference/create-embeddings-v2) for continued support and access to new features.

This method retrieves the status of a video embedding task. Check the task status of a video embedding task to determine when you can retrieve the embedding.

A task can have one of the following statuses:

* `processing`: The platform is creating the embeddings.
* `ready`:  Processing is complete. Retrieve the embeddings by invoking the [`GET`](/v1.3/api-reference/create-embeddings-v1/video-embeddings/retrieve-video-embeddings) method of the `/embed/tasks/{task_id} endpoint`.
* `failed`: The task could not be completed, and the embeddings haven't been created.

Reference: https://docs.twelvelabs.io/api-reference/create-embeddings-v1/video-embeddings/retrieve-video-embedding-task-status

## Authentication

- `x-api-key` header (required) — Your API key. You can find your API key on the API Keys page.

## Request

### Path parameters

- `task_id` (string, required) — The unique identifier of your video embedding task.

## Response

### 200

The status of your video embedding task has been retrieved.

- `_id` (string, optional) — The unique identifier of the video embedding task.
- `status` (string, optional) — A string indicating the status of the video indexing task. It can take one of the following values: `processing`, `ready` or `failed`.
- `model_name` (string, optional) — The name of the video understanding model the platform used to create the embedding.
- `video_embedding` (EmbedTasksTaskIdStatusGetResponsesContentApplicationJsonSchemaVideoEmbedding, optional) — An object containing the metadata associated with the embedding.

## Errors

### 400 Bad Request Error

The request has failed.

- `code` (string, optional) — A string representing the code associated with the error. See the [Error codes](/v1.3/api-reference/error-codes) page for details.
- `message` (string, optional) — A human-readable string describing the error, intended to be suitable for display in a user interface.

## Types

### EmbedTasksTaskIdStatusGetResponsesContentApplicationJsonSchemaVideoEmbedding

An object containing the metadata associated with the embedding.

- `metadata` (VideoEmbeddingMetadata, optional) — An object containing metadata associated with the embedding.

### VideoEmbeddingMetadata

An object containing metadata associated with the embedding.

- `input_url` (string, optional) — The URL of the media file used to generate the embedding. Present if a URL was provided in the request.
- `input_filename` (string, optional) — The name of the media file used to generate the embedding. Present if a file was provided in the request.
- `video_clip_length` (double, optional) — The duration for each clip in seconds, as specified in the request. Note that the platform automatically truncates video segments shorter than 2 seconds. For a 31-second video divided into 6-second segments, the final 1-second segment will be truncated. This truncation only applies to the last segment if it does not meet the minimum length requirement of 2 seconds.
- `video_embedding_scope` (list of string, optional) — The scope you've specified in the request.
- `video_embedding_option` (list of string, optional) — The `embedding_option` values used to generate the embedding.
- `duration` (double, optional) — The total duration of the video in seconds.

## Examples

**Response**

```json
{
  "_id": "6641c0efc70bb578439bd909",
  "status": "processing",
  "model_name": "marengo3.0",
  "video_embedding": {
    "metadata": {
      "input_filename": "01.mp4",
      "video_clip_length": 6,
      "video_embedding_scope": [
        "clip",
        "video"
      ],
      "duration": 18
    }
  }
}
```

**SDK Code**

```python embed_tasks_status_example
import requests

url = "https://api.twelvelabs.io/v1.3/embed/tasks/663da73b31cdd0c1f638a8e6/status"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript embed_tasks_status_example
const url = 'https://api.twelvelabs.io/v1.3/embed/tasks/663da73b31cdd0c1f638a8e6/status';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go embed_tasks_status_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.twelvelabs.io/v1.3/embed/tasks/663da73b31cdd0c1f638a8e6/status"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby embed_tasks_status_example
require 'uri'
require 'net/http'

url = URI("https://api.twelvelabs.io/v1.3/embed/tasks/663da73b31cdd0c1f638a8e6/status")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java embed_tasks_status_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.twelvelabs.io/v1.3/embed/tasks/663da73b31cdd0c1f638a8e6/status")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php embed_tasks_status_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.twelvelabs.io/v1.3/embed/tasks/663da73b31cdd0c1f638a8e6/status', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp embed_tasks_status_example
using RestSharp;

var client = new RestClient("https://api.twelvelabs.io/v1.3/embed/tasks/663da73b31cdd0c1f638a8e6/status");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift embed_tasks_status_example
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.twelvelabs.io/v1.3/embed/tasks/663da73b31cdd0c1f638a8e6/status")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```